summaryrefslogtreecommitdiff
path: root/dev_csso.sh
diff options
context:
space:
mode:
authorJoe Carstairs <118172583+jcarstairs-scottlogic@users.noreply.github.com>2023-10-20 13:45:52 +0100
committerGitHub <noreply@github.com>2023-10-20 13:45:52 +0100
commit58a6b29df62f95f68baa0fcc7c8b5b053d409ea6 (patch)
tree46ffa547685292dc2907da64275f514ea25a68f4 /dev_csso.sh
parent958457be8626148a9559716caf032bb54c10bbdc (diff)
parentb2e3ed96b703f49af556d641eae57c1c4fcd8db0 (diff)
Merge pull request #20 from Sycamost/dev
Dev
Diffstat (limited to 'dev_csso.sh')
-rw-r--r--dev_csso.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/dev_csso.sh b/dev_csso.sh
new file mode 100644
index 0000000..02d5900
--- /dev/null
+++ b/dev_csso.sh
@@ -0,0 +1,11 @@
+mkdir public/css -p || exit;
+for x in scss-build/index*.css;
+do
+ output=$(echo $x | sed 's/scss-build/public\/css/');
+ npm run csso -- $x \
+ --output $output \
+ --input-source-map $x.map \
+ --source-map $output.map \
+ --watch;
+done;
+